Cyberduck Mountain Duck CLI

#9823 closed defect (fixed)

Cannot read Cloudfront distribution details or initiate invalidations

Reported by: jabeler Owned by: dkocher
Priority: normal Milestone: 5.3.4
Component: cloudfront Version: 5.3.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

As of 5.3, Cyberduck is no longer able to properly read details when multiple Cloudfront distributions are in use. The same details are shown for all distributions, and these details seem to reflect the first distribution (based on alphabetical list) and no invalidations can be initiated.

Works as expected in 5.2.2.

Attachments (2)

Change History (13)

comment:1 Changed on Jan 23, 2017 at 9:04:43 AM by dkocher

  • Milestone set to 6.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Jan 24, 2017 at 8:38:36 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r37941.

comment:3 Changed on Jan 25, 2017 at 4:39:56 AM by jabeler

Invalidations and most details are now working in the latest snapshot, however the invalidation counter still seems to be broken. For distributions with validation counts over 100 it just lists 100. For smaller counts it seems to work fine.

comment:4 Changed on Jan 25, 2017 at 9:35:15 AM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:5 Changed on Jan 25, 2017 at 10:31:23 AM by dkocher

  • Milestone changed from 6.0 to 5.3.4

comment:6 Changed on Jan 25, 2017 at 2:39:37 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r37961.

comment:7 Changed on Jan 27, 2017 at 5:13:32 PM by jabeler

  • Resolution fixed deleted
  • Status changed from closed to reopened

Using the latest 6.0.0.23278 build, I'm now receiving a rate error when attempting to access Cloudfront details distributions with large numbers of historic validations. Unlike previous snapshots, I am no longer able to submit invalidations.

comment:10 Changed on Jan 30, 2017 at 12:46:00 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

comment:11 Changed on Jan 30, 2017 at 6:23:05 PM by jabeler

Everything appears to be working as expected in 6.0.0.23322.

Thanks!

Note: See TracTickets for help on using tickets.
swiss made software